#pragma once

struct MidiTimeSignature
{
    int mNumer {4};
    int mDenom {4};
    int mMetro {1};
    int mF32 {1};
};

struct MidiTimeDivision
{
    bool mUseFps {false};
    int mFps { 0 };
    int mTicks { 1 };
};

struct MidiSmtpeTimecode
{
    int mHr{0};
    int mMin{0};
    int mSec{0};
    int mFrame{0};
    int mFrameFrac{0};
};

struct MidiKeySignature
{
    int mSharpsFlats{0};
    int mMinor{0};
};
